import { createApp } from 'vue'
import Snackbar from '@/plugins/snackbar'
import CountTimer from './countTimer.vue'

export default {
  mounted(el, binding) {
    const score = binding.value;
    const timerDuration = 15

    const tempElement = document.createElement('div')
    el.parentNode.appendChild(tempElement)

    const app = createApp(CountTimer, {
      duration: timerDuration,
      score,
      onEnd: () => {
        Snackbar.success('浏览完成, 获得' + score + '积分')
        el.parentNode.removeChild(tempElement)
        app.unmount(tempElement)
      }
    })

    app.mount(tempElement)
  }
}