// 个人路由信息

import Layout from '@/layout'
const personal = [
  {
    path: '/personalAccount',
    component: Layout,
    name: 'personalAccount',
    children: [
      {
        path: '/personalAccount',
        component: () => import('@/views/Home/personal/account/index'),
        meta: {
          title: '账号设置'
        },
        children: [
          {
            path: '/personalAccount/editPassword',
            component: () => import('@/views/Home/personal/account/dynamic/editPassword'),
            meta: {
              title: '修改密码'
            }
          },
          {
            path: '/personalAccount/accountBinding',
            component: () => import('@/views/Home/personal/account/dynamic/accountBinding'),
            meta: {
              title: '账号加入'
            }
          },
          {
            path: '/personalAccount/realAuthentication',
            component: () => import('@/views/Home/personal/account/dynamic/realAuthentication'),
            meta: {
              title: '实名认证'
            }
          },
          {
            path: '/personalAccount/privacySettings',
            component: () => import('@/views/Home/personal/account/dynamic/privacySettings'),
            meta: {
              title: '隐私设置'
            }
          }
        ]
      }
    ]
  },
  {
    path: '/resume',
    component: Layout,
    name: 'resume',
    meta: {
      title: '在线简历'
    },
    children: [
      {
        path: '/resume',
        component: () => import('@/views/resume/index')
      }
    ]
  },
  {
    path: '/personalCenter',
    component: Layout,
    name: 'personalCenter',
    meta: {
      title: '个人中心'
    },
    children: [
      {
        path: '/personalCenter',
        component: () => import('@/views/PersonalCenter/index')
      }
    ]
  },
  {
    path: '/enterprise/register',
    component: Layout,
    name: 'enterpriseRegister',
    children: [
      {
        path: '/enterprise/register',
        component: () => import('@/views/personal/components/register'),
        meta: {
          title: '注册新企业'
        },
      },
      {
        path: '/enterprise/joiningEnterprise',
        component: () => import('@/views/personal/components/joiningEnterprise'),
        meta: {
          title: '加入企业'
        }
      },
      {
        path: '/enterprise/inReview',
        component: () => import('@/views/personal/components/inReview.vue'),
        meta: {
          title: '申请信息'
        }
      }
    ]
  },
  {
    path: '/myPublicRecruitment',
    component: Layout,
    name: 'myPublicRecruitment',
    meta: {
      title: '赏金奖励'
    },
    children: [
      {
        path: '/myPublicRecruitment',
        component: () => import('@/views/personal/myPublicRecruitment/index'),
        meta: {
          title: '赏金奖励'
        },
      }
    ]
  },
  {
    path: '/pointsManagement',
    component: Layout,
    name: 'personalPointsManagement',
    meta: {
      title: '积分管理'
    },
    children: [
      {
        path: '/pointsManagement',
        component: () => import('@/views/personal/pointsManagement/index'),
        meta: {
          title: '积分管理'
        },
      }
    ]
  },
  {
    path: '/personalTaskCenter',
    component: Layout,
    name: 'personalTaskCenter',
    meta: {
      title: '任务中心'
    },
    children: [
      {
        path: '/personalTaskCenter',
        component: () => import('@/views/personal/taskCenter/index'),
        meta: {
          title: '任务中心'
        },
      }
    ]
  },
  {
    path: '/purchasePackage',
    component: Layout,
    name: 'personalPurchasePackage',
    meta: {
      title: '购买套餐'
    },
    children: [
      {
        path: '/purchasePackage',
        component: () => import('@/views/personal/purchasePackage/index'),
        meta: {
          title: '购买套餐'
        },
      }
    ]
  },
  {
    path: '/personalIntegralRules',
    component: Layout,
    name: 'personalIntegralRules',
    meta: {
      title: '任务中心'
    },
    children: [
      {
        path: '/personalIntegralRules',
        component: () => import('@/views/personal/integralRules/index'),
        meta: {
          title: '积分规则'
        },
      }
    ]
  },
]
export default personal